Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.dma
Class DMA8Handler

    java.lang.Object
      dioscuri.module.dma.DMA8Handler

Direct Known Subclasses:
  DMA8Handler

    public abstract class DMA8Handler

extends java.lang.Object

Handler for the master DMA controller, providing implementations for 8-bit read and write functionality
This handler will be registered with the DMA class to provide device-specific methods for reading (memory -> device) and writing (device -> memory) a byte via DMA.

Field Summary
`protected java.lang.String` | `owner`

Constructor Summary
`DMA8Handler()`

Method Summary
`abstract void` | `dma8ReadFromMem(byte data)` Device-specific implementation of the 8-bit DMA read functionality. This provides a way for DMA to pass a byte read from memory (by way of DMA request) to the device for further processing.
`abstract byte` | `dma8WriteToMem()` Device-specific implementation of the 8-bit DMA write functionality. This provides a way for DMA to write a byte to memory (by way of DMA request) passed from the device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected java.lang.String owner

Constructor Detail

### DMA8Handler

    public DMA8Handler()

Method Detail

### dma8ReadFromMem

    public abstract void dma8ReadFromMem(byte data)

  Device-specific implementation of the 8-bit DMA read functionality.
  This provides a way for DMA to pass a byte read from memory (by way of DMA request) to the device for further processing.

  Parameters:
    `data` - Byte from memory that is passed to the device for handling

### dma8WriteToMem

    public abstract byte dma8WriteToMem()

  Device-specific implementation of the 8-bit DMA write functionality.
  This provides a way for DMA to write a byte to memory (by way of DMA request) passed from the device.

  Returns:
    Byte from device that will be written to memory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD